#!/usr/bin/perl

use Date::Calc qw(Delta_Days);

@dom = (0, 31, 28, 31, 30, 31, 30,
           31, 31, 30, 31, 30, 31);

($y, $m, $d) = (2002, 6, 24);

@tics = ();
@points = ();

while (<>) {
	chomp;
	($date, $version, $crud) = split /:/;
	($ly, $lm, $ld) = ($y, $m, $d);
	($y, $m, $d) = split (/-/, $date);
	
	$Dd = Delta_Days ($ly, $lm, $ld, $y, $m, $d);
	
	push (@tics, $version);
	push (@points, $Dd);
}

($max, $tot) = (0, 0);
foreach (@points) {
	$max = $max > $_ ? $max : $_;
	$tot += $_;
}
$avg = $tot / scalar (@points);

print 'set terminal eepic color' . "\n";
print 'set output "days-per-release-graph.tex"' . "\n";
print 'set size 1.3,1.3' . "\n";

#print 'set title "Number of development days per release"' . "\n";
print 'set xrange [-.5:' . (scalar (@points) - .5) . ']' . "\n";
print 'set yrange [0:' . ($max * 1.2) . ']' . "\n";

print 'set xtics ("' . $tics[0] . '" ' . 0;
for ($i = 1; $i < scalar (@tics); $i++) {
	print ', "' . $tics[$i] . '" ' . $i;
}
print ')' . "\n";

print 'plot "-" title "\\\\# days" with boxes fs solid .5, ' ;
print $avg . ' title "Average"' . "\n";
for ($i = 0; $i < scalar (@points); $i++) {
	print $i . "\t" . $points[$i] . "\n";
}
print 'end' . "\n";
