#!/usr/bin/perl

@tics = ();
@points = ();

while (<>) {
	chomp;
	($date, $version, $size, $usize, $sloc, $crud) = split /:/;
	
	push (@tics, $date);
	push (@points, $sloc);
}

($max, $tot) = (0, 0);
foreach (@points) {
	$max = $max > $_ ? $max : $_;
	$tot += $_;
}
$avg = $tot / scalar (@points);

print 'set terminal eepic color' . "\n";
print 'set output "sloc-per-date-graph.tex"' . "\n";
print 'set size 1.3,1.3' . "\n";

print 'set xdata time' . "\n";
print 'set timefmt "%Y-%m-%d"' . "\n";
print 'set yrange [0:' . ($max * 1.2) . ']' . "\n";

print 'plot "-" using 1:2 title "Lines of code" with linespoints, ' ;
print $avg . ' title "Average"' . "\n";
for ($i = 0; $i < scalar (@points); $i++) {
	print $tics[$i] . "\t" . $points[$i] . "\n";
}
print 'end' . "\n";
