#!/usr/bin/perl

($y, $m, $d) = (2002, 6, 24);

@tics = ();
@points = ();

while (<>) {
	chomp;
	($date, $version, $csize, $size, $crud) = split /:/;
	
	push (@tics, $version);
	push (@points, $size);
}

($max, $tot) = (0, 0);
foreach (@points) {
	$max = $max > $_ ? $max : $_;
	$tot += $_;
}
$avg = $tot / scalar (@points);

print 'set terminal eepic color' . "\n";
print 'set output "uncompr-size-per-release-graph.tex"' . "\n";
print 'set size 1.3,1.3' . "\n";

print 'set xrange [-.5:' . (scalar (@points) - .5) . ']' . "\n";
print 'set yrange [0:' . ($max * 1.2) . ']' . "\n";

print 'set xtics ("' . $tics[0] . '" ' . 0;
for ($i = 1; $i < scalar (@tics); $i++) {
	print ', "' . $tics[$i] . '" ' . $i;
}
print ')' . "\n";

print 'plot "-" title "Size in bytes" with boxes fs solid .5, ' ;
print $avg . ' title "Average"' . "\n";
for ($i = 0; $i < scalar (@points); $i++) {
	print $i . "\t" . $points[$i] . "\n";
}
print 'end' . "\n";
