#!/bin/sh

# [SH] Unpack all tarballs in a tmp directory. Remove the tarballs and run
# this script.

for i in bitlbee-*; do
	ver=`echo $i|sed s/bitlbee-//`
	data=`sloccount "$i"`
	sloc=`echo -e "${data}"|grep 'Total Physical Source Lines of Code'|\
		sed 's/Total Physical Source Lines of Code.*= //'|\
		sed 's/,//g'`
	years=`echo -e "${data}"|grep 'Development Effort Estimate, Person-Years'|\
		sed 's/Development Effort Estimate, Person-Years.*= //'|\
		sed 's/ \\(.*\\)//'|\
		sed 's/,//g'`
	cost=`echo -e "${data}"|grep 'Total Estimated Cost to Develop'|\
		sed 's/Total Estimated Cost to Develop.*= $ //'|\
		sed 's/,//g'`
	echo $ver - $sloc - $years - $cost
done
